PCI_IOMAP(9)

NAME
pci_iomap - create a virtual mapping cookie for a PCI BAR

SYNOPSIS

void __iomem * pci_iomap(struct pci_dev * dev, int bar, unsigned long maxlen);

ARGUMENTS

dev
    PCI device that owns the BAR

bar
    BAR number

maxlen
    length of the memory to map

DESCRIPTION

Using this function you will get a __iomem address to your device BAR. You can access it using ioread*() and iowrite*(). These functions hide the details if this is a MMIO or PIO address space and will just do what you expect from them in the correct way.

maxlen specifies the maximum length to map. If you want to get access to the complete BAR without checking for its length first, pass 0 here.

AUTHORS

Matthew Wilcox <matthew@wil.cx>
    Author.

Alan Cox <alan@lxorguk.ukuu.org.uk>
    Author.

COPYRIGHT